import { ScatterBase } from "./ScatterBase";
import { Series } from "./Series";
import { Type } from "igniteui-react-core";
import { ScatterFrame } from "./ScatterFrame";
import { SeriesView } from "./SeriesView";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { ScatterBaseView } from "./ScatterBaseView";
/**
 * @hidden
 */
export declare class ScatterSplineSeries extends ScatterBase {
    static $t: Type;
    protected bc(): Series;
    protected get_fe(): boolean;
    constructor();
    protected cd(): SeriesView;
    zh: number;
    protected wr(): boolean;
    protected iq(): number;
    protected pa(a: any, b: string, c: any, d: any): void;
    protected bu(): SeriesHitTestMode;
    x8(a: ScatterFrame, b: ScatterBaseView): void;
    private zk;
    private zg;
    protected get_wl(): boolean;
    nk(a: boolean, b: SeriesView): void;
    yj(a: ScatterFrame, b: ScatterBaseView): void;
    static $$p: string[];
}
